Skip to main content
POST
/
api
/
reports
Create signed report
curl --request POST \
  --url https://evalgate.com/api/reports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "evaluationId": 123,
  "evaluationRunId": 123,
  "expiresInDays": 123,
  "policyName": "<string>"
}
'
{
  "shareToken": "<string>",
  "shareUrl": "<string>",
  "apiUrl": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://evalgate.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
evaluationId
integer
required
evaluationRunId
integer
required
expiresInDays
number
policyName
string

Response

201 - application/json

Report created

shareToken
string
shareUrl
string
apiUrl
string
expiresAt
string<date-time>